Mandrake Linux Security Advisory : MySQL (MDKSA-2005:070)

Medium Nessus Plugin ID 18032


The remote Mandrake Linux host is missing one or more security updates.


A vulnerability in MySQL would allow a user with grant privileges to a database with a name containing an underscore character ('_') to have the ability to grant privileges to other databases with similar names.
This problem was previously discovered and fixed, but a new case where the problem still existed was recently discovered.

The updated packages have been patched to correct this issue.


Update the affected packages.

Plugin Details

Severity: Medium

ID: 18032

File Name: mandrake_MDKSA-2005-070.nasl

Version: $Revision: 1.16 $

Type: local

Published: 2005/04/13

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:MySQL, p-cpe:/a:mandriva:linux:MySQL-Max, p-cpe:/a:mandriva:linux:MySQL-bench, p-cpe:/a:mandriva:linux:MySQL-client, p-cpe:/a:mandriva:linux:MySQL-common, p-cpe:/a:mandriva:linux:lib64mysql12, p-cpe:/a:mandriva:linux:lib64mysql12-devel, p-cpe:/a:mandriva:linux:libmysql12, p-cpe:/a:mandriva:linux:libmysql12-devel, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:10.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/04/12

Reference Information

CVE: CVE-2004-0957

MDKSA: 2005:070